Issue 85366 - svtools: valgrind: a11y: uninitialized variable
Summary: svtools: valgrind: a11y: uninitialized variable
Status: CLOSED FIXED
Alias: None
Product: utilities
Classification: Unclassified
Component: code (show other issues)
Version: 680m242
Hardware: All Linux, all
: P3 Trivial (vote)
Target Milestone: OOo 3.0
Assignee: mikhail.voytenko
QA Contact: Unknown
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-01-18 14:44 UTC by caolanm
Modified: 2008-02-28 08:43 UTC (History)
2 users (show)

See Also:
Issue Type: PATCH
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments
patch to fix (930 bytes, patch)
2008-01-18 14:45 UTC, caolanm
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this issue.
Description caolanm 2008-01-18 14:44:39 UTC
Patch attached. 

From the spellchecking "options" dialog with a11y enabled under GNOME

==2732== Conditional jump or move depends on uninitialised value(s)
==2732==    at 0x1E54F67A:
accessibility::AccessibleListBox::FillAccessibleStateSet(utl::AccessibleStateSetHelper&)
(accessiblelistbox.cxx:420)
==2732==    by 0x743C23C: VCLXAccessibleComponent::getAccessibleStateSet()
(vclxaccessiblecomponent.cxx:756)
==2732==    by 0xD18900C: handle_get_focus(VclWindowEvent const*) (atkutil.cxx:499)
==2732==    by 0xD1891D5: WindowEventHandler(void*, VclSimpleEvent const*)
(atkutil.cxx:573)
==2732==    by 0x4CE27A4: VclEventListeners::Call(VclSimpleEvent*) const
(link.hxx:158)
==2732==    by 0x4EA4AC4: Window::CallEventListeners(unsigned long, void*)
(window.cxx:5374)
==2732==    by 0x4EA57F9: Window::PreNotify(NotifyEvent&) (window.cxx:5174)
==2732==    by 0x4EA8173: Window::ImplGrabFocus(unsigned short) (window.cxx:4232)
==2732==    by 0x4EB440B: Window::ImplAsyncFocusHdl(void*) (winproc.cxx:1799)
==2732==    by 0x4EB7AB7: ImplWindowFrameProc(Window*, SalFrame*, unsigned
short, void const*) (link.hxx:158)
==2732==    by 0xD83420E: SalDisplay::DispatchInternalEvent() (salframe.hxx:304)
==2732==    by 0xD179738: GtkXLib::userEventFn(void*) (gtkdata.cxx:715)
Comment 1 caolanm 2008-01-18 14:45:05 UTC
Created attachment 50972 [details]
patch to fix
Comment 2 carsten.driesner 2008-01-21 08:53:24 UTC
cd->pb: Please take a look.
Comment 3 pb 2008-01-21 10:57:37 UTC
pb: accepted for 3.0.
Comment 4 pb 2008-01-21 14:32:38 UTC
pb: patch integrated in cws fwk81.
Files changed:
/svtools/source/contnr/svlbox.cxx 1.31.170.1
Comment 5 pb 2008-02-15 09:09:30 UTC
pb -> mav: please review my changes. This cannot be verified by QA.
Comment 6 mikhail.voytenko 2008-02-20 11:20:48 UTC
Verified.
Comment 7 mikhail.voytenko 2008-02-28 08:43:04 UTC
.